Index: kernel/hutil.cc
===================================================================
--- kernel/hutil.cc	(revision 630dad1a4f9f6b630b4dcfa05851a5869b7fe25b)
+++ kernel/hutil.cc	(revision 7b25fe96bd4a8e5c88b73cb0561e3b39b26d1981)
@@ -36,7 +36,7 @@
   scfmon ex, ek;
   if (tailRing != currRing)
-    hisModule = idRankFreeModule(S, currRing, tailRing);
+    hisModule = id_RankFreeModule(S, currRing, tailRing);
   else
-    hisModule = idRankFreeModule(S);
+    hisModule = id_RankFreeModule(S,currRing);
   if (hisModule < 0)
     hisModule = 0;
Index: kernel/ideals.cc
===================================================================
--- kernel/ideals.cc	(revision 630dad1a4f9f6b630b4dcfa05851a5869b7fe25b)
+++ kernel/ideals.cc	(revision 7b25fe96bd4a8e5c88b73cb0561e3b39b26d1981)
@@ -285,6 +285,6 @@
   assume(!idIs0(h2));
   assume(IDELEMS(h1)<=IDELEMS(h2));
-  assume(idRankFreeModule(h1)==0);
-  assume(idRankFreeModule(h2)==0);
+  assume(id_RankFreeModule(h1,currRing)==0);
+  assume(id_RankFreeModule(h2,currRing)==0);
   // add a new variable:
   int j;
@@ -351,6 +351,6 @@
 {
   int i,j,k,length;
-  int flength = idRankFreeModule(h1);
-  int slength = idRankFreeModule(h2);
+  int flength = id_RankFreeModule(h1,currRing);
+  int slength = id_RankFreeModule(h2,currRing);
   int rank=si_min(flength,slength);
   if ((idIs0(h1)) || (idIs0(h2)))  return idInit(1,rank);
@@ -500,5 +500,5 @@
     if (!idIs0(arg[i]))
     {
-      realrki=idRankFreeModule(arg[i]);
+      realrki=id_RankFreeModule(arg[i],currRing);
       k++;
       j += IDELEMS(arg[i]);
@@ -610,5 +610,5 @@
 
   if (idIs0(h1)) return NULL;
-  k = idRankFreeModule(h1);
+  k = id_RankFreeModule(h1,currRing);
   h2=idCopy(h1);
   i = IDELEMS(h2)-1;
@@ -724,6 +724,6 @@
     return result;
   }
-  int slength=(int)idRankFreeModule(h1);
-  k=si_max(1,slength /*idRankFreeModule(h1)*/);
+  int slength=(int)id_RankFreeModule(h1,currRing);
+  k=si_max(1,slength /*id_RankFreeModule(h1)*/);
 
   assume(currRing != NULL);
@@ -893,5 +893,5 @@
 ideal idLiftStd (ideal  h1, matrix* ma, tHomog hi, ideal * syz)
 {
-  int   i, j, k, t, inputIsIdeal=idRankFreeModule(h1);
+  int   i, j, k, t, inputIsIdeal=id_RankFreeModule(h1,currRing);
   poly  p=NULL, q, qq;
   intvec *w=NULL;
@@ -919,5 +919,5 @@
   BITSET save_verbose=verbose;
 
-  k=si_max(1,(int)idRankFreeModule(h1));
+  k=si_max(1,(int)id_RankFreeModule(h1,currRing));
 
   if ((k==1) && (!lift3)) verbose |=Sy_bit(V_IDLIFT);
@@ -1047,5 +1047,5 @@
 static void idPrepareStd(ideal s_temp, int k)
 {
-  int j,rk=idRankFreeModule(s_temp);
+  int j,rk=id_RankFreeModule(s_temp,currRing);
   poly p,q;
 
@@ -1081,5 +1081,5 @@
              BOOLEAN isSB, BOOLEAN divide, matrix *unit)
 {
-  int lsmod =idRankFreeModule(submod), i, j, k;
+  int lsmod =id_RankFreeModule(submod,currRing), i, j, k;
   int comps_to_add=0;
   poly p;
@@ -1125,5 +1125,5 @@
       comps_to_add--;
   }
-  k=si_max(idRankFreeModule(mod),idRankFreeModule(submod));
+  k=si_max(id_RankFreeModule(mod,currRing),id_RankFreeModule(submod,currRing));
   if  ((k!=0) && (lsmod==0)) lsmod=1;
   k=si_max(k,(int)mod->rank);
@@ -1364,6 +1364,6 @@
   int i,l,ll,k,kkk,kmax;
   int j = 0;
-  int k1 = idRankFreeModule(h1);
-  int k2 = idRankFreeModule(h2);
+  int k1 = id_RankFreeModule(h1,currRing);
+  int k2 = id_RankFreeModule(h2,currRing);
   tHomog   hom=isNotHomog;
 
@@ -2198,6 +2198,6 @@
     return idFreeModule(si_max(1,h2->ncols));
   if (!idIs0(h1))
-    flength = idRankFreeModule(h1);
-  slength = idRankFreeModule(h2);
+    flength = id_RankFreeModule(h1,currRing);
+  slength = id_RankFreeModule(h2,currRing);
   length  = si_max(flength,slength);
   if (length==0)
@@ -2509,5 +2509,5 @@
   ideal res=arg;
   if (!inPlace) res = idCopy(arg);
-  res->rank=si_max(res->rank,idRankFreeModule(res));
+  res->rank=si_max(res->rank,id_RankFreeModule(res,currRing));
   int *red_comp=(int*)omAlloc((res->rank+1)*sizeof(int));
   for (i=res->rank;i>=0;i--) red_comp[i]=i;
Index: kernel/syz.cc
===================================================================
--- kernel/syz.cc	(revision 630dad1a4f9f6b630b4dcfa05851a5869b7fe25b)
+++ kernel/syz.cc	(revision 7b25fe96bd4a8e5c88b73cb0561e3b39b26d1981)
@@ -399,5 +399,5 @@
   ideal temp=NULL;
   intvec *w = NULL,**tempW;
-  int i,k,syzIndex = 0,j,rk_arg=si_max(1,(int)idRankFreeModule(arg));
+  int i,k,syzIndex = 0,j,rk_arg=si_max(1,(int)id_RankFreeModule(arg,currRing));
   int Kstd1_OldDeg=Kstd1_deg;
   BOOLEAN completeMinim;
@@ -513,5 +513,5 @@
     if (syzIndex>0)
     {
-      int rkI=idRankFreeModule(res[syzIndex]);
+      int rkI=id_RankFreeModule(res[syzIndex],currRing);
       rSetSyzComp(rkI);
     }
@@ -555,5 +555,5 @@
 //w1->show();
 //PrintLn();
-      int max_comp = idRankFreeModule(res[syzIndex]);
+      int max_comp = id_RankFreeModule(res[syzIndex],currRing);
       k = max_comp - rGetCurrSyzLimit();
       assume(w != NULL);
@@ -844,5 +844,5 @@
   PrintS("weights:");if (weights!=NULL) weights->show(); else Print("NULL"); PrintLn();
   #endif
-  int rkl=l = si_max(idRankFreeModule(res[0]),res[0]->rank);
+  int rkl=l = si_max(id_RankFreeModule(res[0],currRing),res[0]->rank);
   i = 0;
   while ((i<length) && (res[i]!=NULL))
Index: kernel/syz0.cc
===================================================================
--- kernel/syz0.cc	(revision 630dad1a4f9f6b630b4dcfa05851a5869b7fe25b)
+++ kernel/syz0.cc	(revision 7b25fe96bd4a8e5c88b73cb0561e3b39b26d1981)
@@ -34,5 +34,5 @@
   polyset F,oldF=arg->m;
   int Fl=IDELEMS(arg);
-  int rkF=idRankFreeModule(arg);
+  int rkF=id_RankFreeModule(arg,currRing);
   int syComponentOrder=currRing->ComponentOrder;
 
@@ -207,5 +207,5 @@
     }
   }
-  rkF=idRankFreeModule(arg);
+  rkF=id_RankFreeModule(arg,currRing);
 /*----------------construction of the new ordering----------*/
   if (rkF>0)
@@ -535,5 +535,5 @@
     pairs=(polyset)omAlloc0((Fl+gencQ)*sizeof(poly));
   }
-  rkF=idRankFreeModule(arg);
+  rkF=id_RankFreeModule(arg,currRing);
   Flength = (int*)omAlloc0(Fl*sizeof(int));
   for(j=0;j<Fl;j++)
@@ -822,5 +822,5 @@
 BOOLEAN syTestOrder(ideal M)
 {
-  int i=idRankFreeModule(M);
+  int i=id_RankFreeModule(M,currRing);
   if (i == 0) return FALSE;
   int j=0;
Index: kernel/syz1.cc
===================================================================
--- kernel/syz1.cc	(revision 630dad1a4f9f6b630b4dcfa05851a5869b7fe25b)
+++ kernel/syz1.cc	(revision 7b25fe96bd4a8e5c88b73cb0561e3b39b26d1981)
@@ -300,5 +300,5 @@
   int i,j;
 
-  if (idRankFreeModule(arg)==0)
+  if (id_RankFreeModule(arg,currRing)==0)
   {
     iv = idSort(arg);
@@ -1989,5 +1989,5 @@
         rr = syzstr->fullres;
       (*resolution)[0]
-        = si_max(1,(int)idRankFreeModule(rr[0],
+        = si_max(1,(int)id_RankFreeModule(rr[0],
                                  (syzstr->syRing != NULL ? syzstr->syRing : currRing)));
       int k=0;
@@ -2449,5 +2449,5 @@
 
   if ((idIs0(arg)) ||
-      ((idRankFreeModule(arg)>0) && (!idHomModule(arg,NULL,&(syzstr->cw)))))
+      ((id_RankFreeModule(arg,currRing)>0) && (!idHomModule(arg,NULL,&(syzstr->cw)))))
   {
     syzstr->minres = (resolvente)omAlloc0Bin(char_ptr_bin);
@@ -2503,5 +2503,5 @@
   syzstr->sev = (unsigned long **) omAlloc0((*length+1)*sizeof(unsigned long *));
   syzstr->bucket = kBucketCreate();
-  int len0=idRankFreeModule(temp)+1;
+  int len0=id_RankFreeModule(temp,currRing)+1;
 
   startdeg = actdeg;
@@ -2584,5 +2584,5 @@
 
   if ((idIs0(arg)) ||
-      ((idRankFreeModule(arg)>0) && (!idTestHomModule(arg, NULL, syzstr->cw))))
+      ((id_RankFreeModule(arg,currRing)>0) && (!idTestHomModule(arg, NULL, syzstr->cw))))
   {
     syzstr->minres = (resolvente)omAlloc0Bin(char_ptr_bin);
@@ -2651,5 +2651,5 @@
 
   syzstr->bucket = kBucketCreate();
-  int len0=idRankFreeModule(temp)+1;
+  int len0=id_RankFreeModule(temp,currRing)+1;
 
   startdeg = actdeg;
Index: kernel/syz2.cc
===================================================================
--- kernel/syz2.cc	(revision 630dad1a4f9f6b630b4dcfa05851a5869b7fe25b)
+++ kernel/syz2.cc	(revision 7b25fe96bd4a8e5c88b73cb0561e3b39b26d1981)
@@ -972,5 +972,5 @@
   syStrategy syzstr=(syStrategy)omAlloc0(sizeof(ssyStrategy));
 
-  if ((idIs0(arg)) || (idRankFreeModule(arg)>0))
+  if ((idIs0(arg)) || (id_RankFreeModule(arg,currRing)>0))
   {
     syzstr->minres = (resolvente)omAllocBin(sip_sideal_bin);
@@ -1038,5 +1038,5 @@
     if (TEST_OPT_PROT) Print("(m%d)",index);
     if (index==0)
-      i = syInitSyzMod(syzstr,index,idRankFreeModule(arg, origR)+1);
+      i = syInitSyzMod(syzstr,index,id_RankFreeModule(arg, origR)+1);
     else
       i = syInitSyzMod(syzstr,index);
Index: kernel/syz3.cc
===================================================================
--- kernel/syz3.cc	(revision 630dad1a4f9f6b630b4dcfa05851a5869b7fe25b)
+++ kernel/syz3.cc	(revision 7b25fe96bd4a8e5c88b73cb0561e3b39b26d1981)
@@ -1679,5 +1679,5 @@
   poly p;
   ideal result;
-  int rk_new_gens = idRankFreeModule(new_generators);
+  int rk_new_gens = id_RankFreeModule(new_generators,currRing);
   if (syzstr->res[index]==NULL)
   {
@@ -1763,5 +1763,5 @@
   short_pairs = 0;
   if (idIs0(arg)) return NULL;
-  rk_arg = idRankFreeModule(arg);
+  rk_arg = id_RankFreeModule(arg,currRing);
   syStrategy syzstr=(syStrategy)omAlloc0(sizeof(ssyStrategy));
 /*--- changes to a Cdp-ring ----------------------------*/
Index: kernel/tgb.cc
===================================================================
--- kernel/tgb.cc	(revision 630dad1a4f9f6b630b4dcfa05851a5869b7fe25b)
+++ kernel/tgb.cc	(revision 7b25fe96bd4a8e5c88b73cb0561e3b39b26d1981)
@@ -3662,5 +3662,5 @@
   }
   //qsort(I->m, IDELEMS(I),sizeof(poly),pLmCmp_func);
-  assume (I->rank >= idRankFreeModule (I));
+  assume (I->rank >= id_RankFreeModule (I,currRing));
   return (I);
 }
